<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net8.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
	  <Content Include="nlog.config">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="CSRedisCore" Version="3.8.803" />
		<PackageReference Include="Microsoft.Data.SqlClient" Version="6.1.3" />
		<PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Xml" Version="9.0.0" />
		<PackageReference Include="MQTTnet" Version="5.0.1.1416" />
		<PackageReference Include="MQTTnet.Extensions.ManagedClient" Version="4.3.7.1207" />
		<PackageReference Include="NetMQ" Version="4.0.2.1" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="NLog" Version="5.3.4" />
		<PackageReference Include="NLog.Schema" Version="5.3.4" />
		<PackageReference Include="RestSharp" Version="112.1.0" />
		<PackageReference Include="SharpPcap" Version="6.3.0" />
		<PackageReference Include="StackExchange.Redis" Version="2.8.24" />
		<PackageReference Include="System.Data.SqlClient" Version="4.9.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Commonlib\Commonlib.csproj" />
	</ItemGroup>

	<ItemGroup>
		<None Update="app.json">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

</Project>
